Bug 1129714 - Review Request: php-ircmaxell-random-lib - A Library For Generating Secure Random Numbers
Review Request: php-ircmaxell-random-lib - A Library For Generating Secure Ra...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: 1129700
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-13 10:11 EDT by Remi Collet
Modified: 2014-11-12 18:17 EST (History)
2 users (show)

See Also:
Fixed In Version: php-ircmaxell-random-lib-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-01 12:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review.txt (6.68 KB, text/plain)
2014-10-26 21:08 EDT, Shawn Iwinski
no flags Details
phpcompatinfo.log (17.21 KB, text/plain)
2014-10-26 21:08 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-08-13 10:11:44 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/e98e681b1eedcd64031ee5a8031bba4d15d02755/php/php-ircmaxell-random-lib/php-ircmaxell-random-lib.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-ircmaxell-random-lib-1.0.0-1.remi.src.rpm
Description: 
A library for generating random numbers and strings of various strengths.

This library is useful in security contexts.

Fedora Account System Username: remi

-- This is an optional dependency of ZendFramework 2
Comment 1 Shawn Iwinski 2014-10-26 21:08:01 EDT
Created attachment 950868 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1129714
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Shawn Iwinski 2014-10-26 21:08:35 EDT
Created attachment 950869 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 3 Shawn Iwinski 2014-10-26 21:10:11 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove after initial import.



No blockers.



===== APPROVED =====
Comment 4 Remi Collet 2014-10-27 01:58:12 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: php-ircmaxell-random-lib
Short Description: A Library For Generating Secure Random Numbers
Upstream URL: https://github.com/ircmaxell/RandomLib
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2014-10-27 08:06:01 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2014-10-27 09:03:17 EDT
php-ircmaxell-random-lib-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-ircmaxell-random-lib-1.0.0-1.el7
Comment 7 Fedora Update System 2014-10-27 09:03:25 EDT
php-ircmaxell-random-lib-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-ircmaxell-random-lib-1.0.0-1.el6
Comment 8 Fedora Update System 2014-10-27 09:03:32 EDT
php-ircmaxell-random-lib-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-ircmaxell-random-lib-1.0.0-1.fc21
Comment 9 Fedora Update System 2014-10-27 09:03:39 EDT
php-ircmaxell-random-lib-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-ircmaxell-random-lib-1.0.0-1.fc20
Comment 10 Fedora Update System 2014-10-28 02:45:28 EDT
php-ircmaxell-random-lib-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 11 Fedora Update System 2014-11-01 12:56:29 EDT
php-ircmaxell-random-lib-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 12 Fedora Update System 2014-11-06 21:34:00 EST
php-ircmaxell-random-lib-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2014-11-12 18:16:34 EST
php-ircmaxell-random-lib-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 14 Fedora Update System 2014-11-12 18:17:28 EST
php-ircmaxell-random-lib-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.